#define IDS_IDM_WINDOWCHILD         60

#define IDS_ABANDON_B_CHANGES   100
#define IDS_RECOVERABLE_ERROR   101
#define IDS_OUT_OF_MEM          102
#define IDS_NO_FILE_NAME        103
#define IDS_OPEN_ERROR          104
#define IDS_CANNOT_START        105
#define IDS_CTRL_C              106
#define IDS_ABOUT_MEMUSE        107
#define IDS_APP_NAME            108
#define IDS_OK_TO_CLEAR         109
#define IDS_LISTBOX_ERROR       110
#define IDS_LISTBOX_MEM         111
#define IDS_INVALID_FILE        112
#define IDS_APP_CREC_ERROR      113
#define IDS_APP_CFILE_ERROR     114
#define IDS_APP_DREC_ERROR      115
#define IDS_EXPORT_RENAME       116
#define IDS_CANT_DELETE_FILE    117
#define IDS_NOT_IN_LIST         118
#define IDS_OPEN_AFTER_SAVE     119
#define IDS_CANT_SAVE_APP       120
#define IDS_INVALID_FILENAME    121
#define IDS_CANT_MAKE_EMPTY_APP 122
#define IDS_APP_EXTENSION       123
#define IDS_CANT_OPEN_APP       124
#define IDS_DELETE_ITEM         125
#define IDS_OVERWRITE_FILE      126
#define IDS_SAVE_CHANGES        127

/* position of the window menu */
#define WINDOWMENU 5

#define COMMAND_EDIT_ID 30


/* Menu options 
   note, note, note: similarity between string and menu constants!
*/

#define IDM_NEW                 IDS_IDM_NEW
#define IDM_OPEN                IDS_IDM_OPEN
#define IDM_SAVE                IDS_IDM_SAVE
#define IDM_SAVEAS              IDS_IDM_SAVEAS
#define IDM_IMPORT              IDS_IDM_IMPORT
#define IDM_EXPORT              IDS_IDM_EXPORT
#define IDM_CURRENTFILE         IDS_IDM_CURRENTFILE
#define IDM_EXIT                IDS_IDM_EXIT
#define IDM_EDITUNDO            IDS_IDM_EDITUNDO
#define IDM_EDITCUT             IDS_IDM_EDITCUT
#define IDM_EDITCOPY            IDS_IDM_EDITCOPY
#define IDM_EDITPASTE           IDS_IDM_EDITPASTE
#define IDM_EDITCLEAR           IDS_IDM_EDITCLEAR
#define IDM_RUN                 IDS_IDM_RUN
#define IDM_RESET               IDS_IDM_RESET
#define IDM_HALT                IDS_IDM_HALT
#define IDM_ABORT               IDS_IDM_ABORT
#define IDM_STEP                IDS_IDM_STEP
#define IDM_UPDATE              IDS_IDM_UPDATE
#define IDM_DELETE_BROWSER_ITEM IDS_IDM_DELETE_BROWSER_ITEM
#define IDM_SET_EXPORT_FILE     IDS_IDM_SET_EXPORT_FILE
#define IDM_HISTPREV            IDS_IDM_HISTPREV
#define IDM_HISTNEXT            IDS_IDM_HISTNEXT
#define IDM_TRACE               IDS_IDM_TRACE
#define IDM_COURIER             IDS_IDM_COURIER
#define IDM_HELVETICA           IDS_IDM_HELVETICA
#define IDM_SYSTEMFONT          IDS_IDM_SYSTEMFONT
#define IDM_TILE                IDS_IDM_TILE
#define IDM_CASCADE             IDS_IDM_CASCADE
#define IDM_ARRANGE             IDS_IDM_ARRANGE
#define IDM_CLOSEALL            IDS_IDM_CLOSEALL
#define IDM_NEWBROWSE           IDS_IDM_NEWBROWSE
#define IDM_ABOUT               IDS_IDM_ABOUT
#define IDM_STATUS_BAR          IDS_IDM_STATUS_BAR
#define IDM_HELVETICABOLD       IDS_IDM_HELVETICABOLD
#define IDM_HELP_INDEX          IDS_IDM_HELP_INDEX
#define IDM_RECORDMACRO         IDS_IDM_RECORDMACRO
#define IDM_PLAYMACRO           IDS_IDM_PLAYMACRO
#define IDM_STOPMACRO           IDS_IDM_STOPMACRO
#define IDM_NEWBROWSEITEM       IDS_IDM_NEWBROWSEITEM

/* used by mdi, must be beyond last IDM_xxx */
#define IDM_WINDOWCHILD 60

/* Control IDs */
#define IDC_FILENAME  400
#define IDC_EDIT      401
#define IDC_FILES     402
#define IDC_PATH      403

/* Loading... dialog */
#define LID_ED        400
#define LID_FACT      401
#define LID_FUNCTION  402
#define LID_GLOBAL    403
#define LID_RULE      404
#define LID_SCHEMA    405

/* Window control IDs */
#define IDC_LISTBOX     404
#define IDC_INDEX       405
#define IDC_INSTANCE    407
#define IDC_BUFF        408
#define IDC_STATIC      409
#define IDC_TEXT        410
#define IDC_DELETE      411
#define IDC_RENAME      412
#define IDC_EXPORT_ALL  413
#define IDC_EXPORT_FILE 414
#define IDC_CHECKBOX    415
#define IDC_CHECKBOX2   416
#define IDC_COMPILE     417

/* Trace dialog */
#define IDT_ACTIVATIONS    400
#define IDT_FACTS          401
#define IDT_RULES          402
#define IDT_SCHEMATA       403
#define IDT_TRACE_MESSAGES 404
#define IDT_TRACE_BROWSERS 405

/* Save As dialog */
#define IDD_SAVETO     400
#define IDD_DIRS       401
#define IDD_SAVEFROM   402
#define IDD_PATH       403
#define IDD_FILES      404
#define IDD_FILENAME   405
#define IDD_OPEN_RESET 406

#define UNSAVED_NAME "(Untitled)"

#define DEFAULT_FILE_NAME "default.art"
